<ng-container *transloco="let t; scope: 'admin'; read: 'admin'">
    <mat-sidenav-container class="example-container">
        <mat-sidenav #drawer [opened]="(isHeadset$ | async) === false" fixedInViewport [attr.role]="(isHeadset$ | async) ? 'dialog' : 'navigation'" [mode]="(isHeadset$ | async) ? 'over' : 'side'">
            <app-sidebar (onToggle)="drawer.toggle()"></app-sidebar>
        </mat-sidenav>
        
        <mat-sidenav-content>
            <div class="container-scroller">
                <!-- partial:partials/_navbar.html -->
                <mat-toolbar class="navbar col-lg-12 col-12 p-0 fixed-top d-flex flex-row mat-toolbar-single-row">
                    <button mat-icon-button (click)="drawer.toggle()" class="example-icon ms-3" aria-label="Example icon-button with menu icon">
                        <mat-icon>menu</mat-icon>
                    </button>
                    <div class="text-center navbar-brand-wrapper d-flex align-items-center justify-content-start" style="width: 160px;">
                        <a class="navbar-brand brand-logo me-1" style="display: inline-block;">
                            <img src="/assets/icons/zuubako-logo.png" class="me-2" alt="logo"/></a>
                        <!-- <a class="navbar-brand brand-logo-mini"><img src="https://www.bootstrapdash.com/demo/skydash/template/images/logo-mini.svg" alt="logo"/></a> -->
                    </div>
                    <span class="example-spacer"></span>
                    
                    <div class="navbar-menu-wrapper d-flex align-items-center justify-content-end" style="width: auto !important;">
                        
                        <ul class="navbar-nav navbar-nav-right">
                            <li class="nav-item dropdown">
                                <button (click)="notification.toggle()" mat-icon-button class="example-icon favorite-icon nav-link count-indicator dropdown-toggle" id="notificationDropdown" aria-label="Example icon-button with heart icon">
                                    <i class="icon-bell mx-0"></i>
                                    <span class="count" style="left: 45% !important; top: 10px !important;"></span>
                                </button>
                            </li>
                            <li class="nav-item nav-profile dropdown" style="cursor: pointer !important;" [matMenuTriggerFor]="menu" #menuTrigger>
                                <a class="nav-link dropdown-toggle" style="cursor: pointer !important;" id="profileDropdown">
                                    <img src="assets/images/faces/face28.jpg" alt="profile"/>
                                </a>
                                <mat-icon>arrow_drop_down</mat-icon>
                            </li>
                            <!-- <li class="nav-item nav-settings d-none d-lg-flex">
                                <button mat-icon-button [matMenuTriggerFor]="menu" #menuTrigger class="example-icon favorite-icon nav-link" aria-label="Example icon-button with heart icon" style="height: 45px !important;">
                                    <mat-icon>arrow_drop_down</mat-icon>
                                </button>
                            </li> -->
                        </ul>
                        
                        <mat-menu #menu="matMenu" yPosition="above">
                            <div class="dropdown-menu dropdown-menu-right navbar-dropdown show" style="position: unset; float: unset; padding: 0px; border: 0px solid white !important;">
                                <a mat-menu-item class="dropdown-item">
                                    <i class="ti-user text-primary"></i>
                                    My Account
                                </a>
                                <a mat-menu-item class="dropdown-item" [matMenuTriggerFor]="langMenu">
                                    <i class="ti-settings text-primary"></i>
                                    Language
                                </a>
                                <a mat-menu-item class="dropdown-item" (click)="logout()">
                                    <i class="ti-power-off text-primary"></i>
                                    Logout
                                </a>
                            </div>
                        </mat-menu>

                        <mat-menu #langMenu="matMenu">
                            <div class="dropdown-menu dropdown-menu-right navbar-dropdown show" style="position: unset; float: unset; padding: 0px; border: 0px solid white !important;">
                                <ng-container *ngIf="languages?.length > 0">
                                    <a mat-menu-item class="dropdown-item" style="text-transform: capitalize;" *ngFor="let language of languages" (click)="changeActiveLanguage(language.code)">
                                        <i class="ti-text text-primary"></i>
                                        {{language.name}} ({{language.code}})
                                    </a>
                                </ng-container>
                            </div>
                        </mat-menu>
                    </div>
                </mat-toolbar>
                <!-- partial -->
                <div class="container-fluid page-body-wrapper px-0">
                    <!-- main-panel start -->
                    <div class="main-panel w-100">
                        <div class="content-wrapper" style="min-height: calc(100vh - 140px);">
                            <router-outlet #oa="outlet"></router-outlet>
                        </div>
                        
                        <!-- partial:partials/_footer.html -->
                        <footer class="footer">
                        <div class="d-sm-flex justify-content-center justify-content-sm-between">
                            <span class="text-muted text-center text-sm-left d-block d-sm-inline-block">Copyright © 2021 - {{year}}. All rights reserved.</span>
                            <!-- <span class="float-none float-sm-right d-block mt-1 mt-sm-0 text-center">Hand-crafted & made with <i class="ti-heart text-danger ms-1"></i></span> -->
                        </div>
                        </footer>
                        <!-- partial -->
                    </div>
                    <!-- main-panel ends -->
                </div>
                <!-- page-body-wrapper ends -->
            </div>
        </mat-sidenav-content>
        
        <mat-sidenav #notification [mode]="modeNotification" [opened]="isOpenedNotification" position="end" (openedStart)="hasBackdropNotification = true" (closedStart)="hasBackdropNotification = false">
            <app-notification (onToggle)="notification.toggle()"></app-notification>
        </mat-sidenav>
    </mat-sidenav-container>
</ng-container>